claw::dereference< T > Class Template Reference

Function object that dereferences a pointer. More...

`#include <functional.hpp>`

## Public Types

using | argument_type = T*
using | result_type = T&

## Public Member Functions

T & | operator() (T *a) const

## Detailed Description

template<typename T>
class claw::dereference< T >

Function object that dereferences a pointer.

Template arguments:

- T The pointed type (ie. int, not int*.

Author
  Julien Jorge

Definition at line 326 of file functional.hpp.

## Member Typedef Documentation

## argument_type

template<typename T>

using claw::dereference< T >::argument_type = T*

Definition at line 329 of file functional.hpp.

## result_type

template<typename T>

using claw::dereference< T >::result_type = T&

Definition at line 330 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

T & claw::dereference< T >::operator() | ( | T * | a | ) | const

inline

Definition at line 333 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp